Debian Bug report logs - #616197
Man page wrong on ip=... parameter

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Ulrich Zehl <ulrich@topfen.net>

Date: Thu, 3 Mar 2011 07:30:02 UTC

Severity: normal

Found in version live-boot/2.0.15-1

Fixed in version 3.0~a17-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#616197; Package live-boot. (Thu, 03 Mar 2011 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Zehl <ulrich@topfen.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Mar 2011 07:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ulrich Zehl <ulrich@topfen.net>
To: submit@bugs.debian.org
Subject: Man page wrong on ip=... parameter
Date: Thu, 3 Mar 2011 08:21:20 +0100
Package: live-boot
Version: 2.0.15-1

The man page of live-boot says this regarding the ip=... parameter:

  ip=[CLIENT_IP]:[SERVER_IP]:[GATEWAY_IP]:[NETMASK]:[HOST-
  NAME]:[DEVICE]:[AUTOCONF]  [,[CLIENT_IP]:[SERVER_IP]:[GATEWAY_IP]:[NET-
  MASK]:[HOSTNAME]:[DEVICE]:[AUTOCONF]]
      Let  you  specify  the  name(s) and the options of the interface(s)
      that should be configured at boot time. Do not specify this if  you
      want  to use dhcp (default). It will be changed in a future release
      to  mimick  official  kernel   boot   param   specification   (e.g.
      ip=10.0.0.1::10.0.0.254:255.255.255.0::eth0,:::::eth1:dhcp).

(Taken from
http://manpages.debian.net/cgi-bin/man.cgi?locale=en&query=live-boot&manpath=Debian+6.0+squeeze)

However, live-bottom/23networking parses the parameter as follows.

  [...]
  if [ -z "${NETBOOT}" -a -n "${STATICIP}" -a "${STATICIP}" != "frommedia" ]
  then
  	parsed=$(echo "${STATICIP}" | sed -e 's/,/ /g')
  
  	for ifline in ${parsed}
  	do
  		ifname="$(echo ${ifline} | cut -f1 -d ':')"
  		ifaddress="$(echo ${ifline} | cut -f2 -d ':')"
  		ifnetmask="$(echo ${ifline} | cut -f3 -d ':')"
  		ifgateway="$(echo ${ifline} | cut -f4 -d ':')"
  [...]

E.g., the interface name, not the IP adress is the first parameter; the
others are in different positions as well.

The line in my grub.cfg (used with FAI 3.4.7) thus reads

  linux /boot/vmlinuz boot=live FAI_ACTION=install FAI_FLAGS="verbose,sshd" ip=eth0:192.168.1.10:255.255.255.0:192.168.1.1 hostname=server

which works for me.

Is this a bug in the documentation, or in the actual behavior?

(Furthermore, the last sentence of the man page's description does not make
sense to me, considering that the format documented seems to be consistent
with the kernel boot parameter specification. If this a problem with my
understanding of English, I apologize.)




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Wed, 18 May 2011 17:27:07 GMT) Full text and rfc822 format available.

Notification sent to Ulrich Zehl <ulrich@topfen.net>:
Bug acknowledged by developer. (Wed, 18 May 2011 17:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 616197-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 616197-done@bugs.debian.org
Subject: Re: Man page wrong on ip=... parameter
Date: Wed, 18 May 2011 19:25:34 +0200
Version: 3.0~a17-1

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 18 May 2011 17:48:20 GMT) Full text and rfc822 format available.

Notification sent to Ulrich Zehl <ulrich@topfen.net>:
Bug acknowledged by developer. (Wed, 18 May 2011 17:48:20 GMT) Full text and rfc822 format available.

Message #15 received at 616197-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 616197-close@bugs.debian.org
Subject: Bug#616197: fixed in live-boot 3.0~a17-1
Date: Wed, 18 May 2011 17:47:31 +0000
Source: live-boot
Source-Version: 3.0~a17-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a17-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a17-1_all.deb
live-boot_3.0~a17-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a17-1.debian.tar.gz
live-boot_3.0~a17-1.dsc
  to main/l/live-boot/live-boot_3.0~a17-1.dsc
live-boot_3.0~a17-1_all.deb
  to main/l/live-boot/live-boot_3.0~a17-1_all.deb
live-boot_3.0~a17.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616197@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 19:31:27 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 616197 621908 627178
Changes: 
 live-boot (3.0~a17-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating to standards version 3.9.2.
   * Using /run/initramfs instead of /dev/.initramfs/varrun for unionfs-
     fuse sendsigs (Closes: #621908).
   * Updating manpage wrt/ ip parameter squence (Closes: #616197).
   * Making copyright file distribution neutral.
   * Correcting top-level makefile to automatically get all the supported
     languages, rather than defining a static list.
 .
   [ Michal Suchanek ]
   * Copy resolv.conf to live system root (Closes: #627178).
   * Tidy up resolv.conf a bit.
Checksums-Sha1: 
 a2df515afd610649a3f3d51b34ae4188557c16c2 1250 live-boot_3.0~a17-1.dsc
 9c589cc5814ad31bbef28a824bc6d7a259cbb7de 109342 live-boot_3.0~a17.orig.tar.gz
 19a6eb8de83efe043f6f0342a4977b3fb2110167 19561 live-boot_3.0~a17-1.debian.tar.gz
 22723450b2f8f2b8881766834dcd7b8c93614b03 76812 live-boot_3.0~a17-1_all.deb
 6ad4c4ffe2f3b7d1315b324745d2c4bfcce38628 31738 live-boot-initramfs-tools_3.0~a17-1_all.deb
Checksums-Sha256: 
 3592b681cf29b5c0aae8cda2d216d25876b6f93a8f26e3562a9b3d5bd5f40f4e 1250 live-boot_3.0~a17-1.dsc
 046af3c2c57bffada783ec79ebb2bb1b14313705b29233587238d0008ffcdac7 109342 live-boot_3.0~a17.orig.tar.gz
 dcee6ff89281c4b23240d10f95367ea15da6e51596cacb7e239728597963e3b1 19561 live-boot_3.0~a17-1.debian.tar.gz
 b086069902da08d69841477989e90df59639229edc1b6f6d60c7f23574c6cd5b 76812 live-boot_3.0~a17-1_all.deb
 782834a8e16d2fa7ec3d3a403af33bdfb976d24fd626939af8fc91ecadbb36aa 31738 live-boot-initramfs-tools_3.0~a17-1_all.deb
Files: 
 43f9c619a9cd929f5bcffb9caffd2b9a 1250 misc optional live-boot_3.0~a17-1.dsc
 7155c8ea0ba7be2a55aba295cc39b4ef 109342 misc optional live-boot_3.0~a17.orig.tar.gz
 12e98bb0ba243db7e9e73bf2ff24077a 19561 misc optional live-boot_3.0~a17-1.debian.tar.gz
 8211de0e8750348f031eb91a77d05158 76812 misc optional live-boot_3.0~a17-1_all.deb
 6b8bba5bbe09de1cc83f0ff2a0072c4e 31738 misc optional live-boot-initramfs-tools_3.0~a17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3UA0IACgkQ+C5cwEsrK540MQCggKzG1Q71p2thA9TADZZOsZHz
M5sAnA0U+AW2SRVV/6afgOGeMuSMVGaB
=Hycn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jun 2011 07:39:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:19:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.